from modules import Home, Settings
from apps import Apps
from apps.plugins import Ooredoo, Dhiraagu, Medianet, Mwsc, Stelco


def views_handler(page):
    views = {}
    # root
    views['/'] = Home(page)

    # settings
    views['/settings'] = Settings(page)
    # apps
    views['/apps'] = Apps(page)
    views['/apps/dhiraagu'] = Dhiraagu(page)
    views['/apps/ooredoo'] = Ooredoo(page)
    views['/apps/medianet'] = Medianet(page)
    views['/apps/mwsc'] = Mwsc(page)
    views['/apps/stelco'] = Stelco(page)
    return views
